MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IDeviceEeprom Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IDeviceEeprom:

## Public Member Functions
void | SetBytes (int index, byte[] inputBytes)
| Sets EEPROM bytes of the product. More...
byte[] | GetBytes (int index, int length)
| Returns EEPROM bytes of the product. More...
int | GetEepromVersion ()
| Returns EEPROM version. More...
int | GetEepromSubVersion ()
| Returns EEPROM subversion. More...
int | GetPartConfiguration ()
| Returns part configuration value. More...
int | GetPartConfigurationVersion ()
| Returns part configuration version value. More...
int | GetMaxPositiveCurrent ()
| Returns max positive current. More...
int | GetMaxNegativeCurrent ()
| Returns max negative current. More...
int | GetTemperatureOffsetA ()
| Returns temperature offset for the A motor. More...
int | GetTemperatureGradientA ()
| Returns temperature gradient for the A motor. More...
int | GetTemperatureOffsetB ()
| Returns temperature offset for the B motor. More...
int | GetTemperatureGradientB ()
| Returns temperature gradient for the B motor. More...
void | LockMirrorEepromWriting ()
| Locks mirror EEPROM writing. More...
void | UnlockMirrorEepromWriting ()
| Unlocks mirror EEPROM writing. More...
void | ReparseMirrorEeprom ()
| Reparse mirror EEPROM. More...

## Member Function Documentation

## ◆ GetBytes()

byte [] MrE2ModuleSdk.Device.IDeviceEeprom.GetBytes | ( | int | index,
|  | int | length
| ) |  |

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of read bytes

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetEepromSubVersion()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetEepromSubVersion | ( |  | ) |

Returns EEPROM subversion.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetEepromVersion()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetEepromVersion | ( |  | ) |

Returns EEPROM version.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetMaxNegativeCurrent()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetMaxNegativeCurrent | ( |  | ) |

Returns max negative current.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetMaxPositiveCurrent()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetMaxPositiveCurrent | ( |  | ) |

Returns max positive current.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetPartConfiguration()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetPartConfiguration | ( |  | ) |

Returns part configuration value.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetPartConfigurationVersion()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetPartConfigurationVersion | ( |  | ) |

Returns part configuration version value.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetTemperatureGradientA()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetTemperatureGradientA | ( |  | ) |

Returns temperature gradient for the A motor.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetTemperatureGradientB()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetTemperatureGradientB | ( |  | ) |

Returns temperature gradient for the B motor.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetTemperatureOffsetA()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetTemperatureOffsetA | ( |  | ) |

Returns temperature offset for the A motor.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetTemperatureOffsetB()

int MrE2ModuleSdk.Device.IDeviceEeprom.GetTemperatureOffsetB | ( |  | ) |

Returns temperature offset for the B motor.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ LockMirrorEepromWriting()

void MrE2ModuleSdk.Device.IDeviceEeprom.LockMirrorEepromWriting | ( |  | ) |

Locks mirror EEPROM writing.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReparseMirrorEeprom()

void MrE2ModuleSdk.Device.IDeviceEeprom.ReparseMirrorEeprom | ( |  | ) |

Reparse mirror EEPROM.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ SetBytes()

void MrE2ModuleSdk.Device.IDeviceEeprom.SetBytes | ( | int | index,
|  | byte[] | inputBytes
| ) |  |

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ UnlockMirrorEepromWriting()

void MrE2ModuleSdk.Device.IDeviceEeprom.UnlockMirrorEepromWriting | ( |  | ) |

Unlocks mirror EEPROM writing.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs